# Create a capture

`POST /accounts/{accountID}/transfers/{transferID}/captures`

API version: `v2026.10.00`. Send `X-Moov-Version: v2026.10.00` to get the behavior described here.

> AI agents: search and read all Moov docs with the docs MCP server at https://docs.moov.io/mcp (no API key). Setup: https://docs.moov.io/guides/developer-tools/mcp-ai/docs-mcp/index.md

Create a capture against an auth-capture `card-payment` transfer.
The `accountID` must identify the partner account for the transfer.

To access this endpoint using an [access token](https://docs.moov.io/api/authentication/access-tokens/)
you'll need to specify the `/accounts/{accountID}/transfers.write` scope.

## Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `X-Moov-Version` | header | string |  | Set this header to v2026.10.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, the earliest supported version, which may not match the behavior documented here. An unrecognized well-formed version uses the latest supported version that is not newer than the requested version, when one exists. For example, `v2026.08.00` uses `v2026.07.00`. A malformed value, such as `2022`, returns a `404` response. Values: `v2026.10.00`. |
| `x-idempotency-key` | header | string | Yes | Prevents duplicate captures from being created. |
| `accountID` | path | string | Yes | Moov account ID of the partner for the transfer. |
| `transferID` | path | string | Yes | Identifier for the auth-capture `card-payment` transfer. |

## Request body

Content type: `application/json`

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `amount` | object |  | Amount to capture. If omitted, the remaining capturable amount is captured. |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `isFinal` | boolean |  | Indicates whether this is intended to be the final capture. When `true`, any remaining capturable amount is voided. |
| `description` | string |  | An optional description of the capture that is used on receipts and for your own internal use. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `lineItems.items[].name` | string | Yes | The name of the item. |
| `lineItems.items[].basePrice` | object | Yes | The base price of the item before applying option modifiers. |
| `lineItems.items[].basePrice.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `lineItems.items[].basePrice.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `lineItems.items[].quantity` | integer (int32) | Yes | The quantity of this item. |
| `lineItems.items[].options` | array of object |  | Optional list of modifiers applied to this item (e.g., toppings, upgrades, customizations). |
| `lineItems.items[].options[].name` | string | Yes | The name of the option or modifier. |
| `lineItems.items[].options[].quantity` | integer (int32) | Yes | The quantity of this option. |
| `lineItems.items[].options[].priceModifier` | object |  | Optional price modification applied by this option. Can be positive, negative, or zero. |
| `lineItems.items[].options[].priceModifier.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `lineItems.items[].options[].priceModifier.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `lineItems.items[].options[].imageIDs` | array of string |  | Optional list of images associated with this line item option. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported. |
| `lineItems.items[].options[].group` | string |  | Optional group identifier to categorize related options (e.g., 'toppings'). |
| `lineItems.items[].imageIDs` | array of string |  | Optional list of images associated with this line item. This field is being deprecated in favor using the images associated with a productID and will soon be unsupported. |
| `lineItems.items[].productID` | string |  | Optional unique identifier associating the line item with a product. This is for reporting or tracking purposes, and does not populate other details of the line item. |
| `amountDetails` | object |  |  |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tip.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.tip.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.tax.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.tax.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `amountDetails.surcharge.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amountDetails.surcharge.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `facilitatorFeeAmount` | object |  | The facilitator fee applied to this capture. The transfer's facilitator fee is the sum of its capture fees. |
| `facilitatorFeeAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `facilitatorFeeAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |

## Response 201

The resource was successfully created.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `captureID` | string | Yes | Identifier for the capture. |
| `amount` | object | Yes |  |
| `amount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `amount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `isFinal` | boolean | Yes | Indicates whether this is intended to be the final capture. |
| `status` | string | Yes | Values: `created`, `pending`, `completed`, `failed`, `canceled`. |
| `createdOn` | string (date-time) | Yes |  |
| `description` | string |  | An optional description of the capture that is used on receipts and for your own internal use. |
| `metadata` | object |  | Free-form key-value pair list. Useful for storing information that is not captured elsewhere. |
| `foreignID` | string |  | Optional alias from a foreign/external system which can be used to reference this resource. |
| `lineItems` | object |  | An optional collection of line items for a transfer. When line items are provided, their total plus tax must equal the transfer amount. |
| `lineItems.items` | array of object | Yes | The list of line items. |
| `amountDetails` | object |  |  |
| `amountDetails.tip` | object |  | The amount of tip applied to the transfer. |
| `amountDetails.tax` | object |  | The amount of tax applied to the transfer. |
| `amountDetails.surcharge` | object |  | The amount of surcharge applied to the transfer. |
| `facilitatorFeeAmount` | object |  | The facilitator fee applied to this capture. The transfer's facilitator fee is the sum of its capture fees. |
| `facilitatorFeeAmount.currency` | string | Yes | A 3-letter ISO 4217 currency code. |
| `facilitatorFeeAmount.valueDecimal` | string | Yes | A decimal-formatted numerical string that represents up to 9 decimal place precision. For example, $12.987654321 is '12.987654321'. |
| `failureCode` | string |  | Values: `call-issuer`, `do-not-honor`, `processing-error`, `invalid-transaction`, `invalid-amount`, `no-such-issuer`, `reenter-transaction`, `cvv-mismatch`, `lost-or-stolen`, `insufficient-funds`, `invalid-card-number`, `invalid-merchant`, `expired-card`, `incorrect-pin`, `transaction-not-allowed`, `suspected-fraud`, `amount-limit-exceeded`, `velocity-limit-exceeded`, `revocation-of-authorization`, `card-not-activated`, `issuer-not-available`, `could-not-route`, `cardholder-account-closed`, `account-closed`, `account-not-activated`, `authentication-failed`, `authentication-required`, `cardholder-action-required`, `format-error`, `invalid-pin`, and 11 more. |

## Errors

| Status | Meaning |
| --- | --- |
| 400 | The server could not understand the request due to invalid syntax. |
| 401 | The request contained missing or expired authentication. |
| 403 | The user is not authorized to make the request. |
| 404 | The requested resource was not found. |
| 409 | The request conflicted with the current state of the target resource. |
| 422 | The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields. |
| 429 | Request was refused due to rate limiting. |
| 500 | The request failed due to an unexpected error. |
| 504 | The request failed because a downstream service failed to respond. |

## Examples

### cURL

```bash
curl -X POST "https://api.moov.io/accounts/{accountID}/transfers/{transferID}/captures" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.10.00" \
  -H "X-Idempotency-Key: 7d8f2a64-4b1e-4c3a-9f2d-1e5b6c7a8d90"
```

### Typescript (SDK)

```typescript
import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.createCapture({
    xIdempotencyKey: "<value>",
    accountID: "<id>",
    transferID: "<id>",
    createCapture: {
      amount: {
        currency: "USD",
        valueDecimal: "12.987654321",
      },
      description: "Pay Instructor for May 15 Class",
      metadata: {
        "optional": "metadata",
      },
      lineItems: {
        items: [],
      },
      amountDetails: {
        tip: {
          currency: "USD",
          valueDecimal: "12.987654321",
        },
        tax: {
          currency: "USD",
          valueDecimal: "12.987654321",
        },
        surcharge: {
          currency: "USD",
          valueDecimal: "12.987654321",
        },
      },
      facilitatorFeeAmount: {
        currency: "USD",
        valueDecimal: "12.987654321",
      },
    },
  });

  console.log(result);
}

run();
```

Full reference with SDK examples in every language: https://docs.moov.io/api/v2026.10.00/money-movement/transfers/create-capture/
